com.google.zxing.datamatrix.decoder

## Class Version

- java.lang.Object
- - com.google.zxing.datamatrix.decoder.Version

-     public final class Version
      extends Object

  The Version object encapsulates attributes about a particular size Data Matrix Code.
  Author:
    bbrown@google.com (Brian Brown)

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDataRegionSizeColumns()`
    `int` | `getDataRegionSizeRows()`
    `int` | `getSymbolSizeColumns()`
    `int` | `getSymbolSizeRows()`
    `int` | `getTotalCodewords()`
    `static Version` | `getVersionForDimensions(int numRows, int numColumns)` Deduces version information from Data Matrix dimensions.
    `int` | `getVersionNumber()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getVersionNumber

          public int getVersionNumber()

    - #### getSymbolSizeRows

          public int getSymbolSizeRows()

    - #### getSymbolSizeColumns

          public int getSymbolSizeColumns()

    - #### getDataRegionSizeRows

          public int getDataRegionSizeRows()

    - #### getDataRegionSizeColumns

          public int getDataRegionSizeColumns()

    - #### getTotalCodewords

          public int getTotalCodewords()

    - #### getVersionForDimensions

          public static Version getVersionForDimensions(int numRows,
                                                        int numColumns)
                                                 throws FormatException

      Deduces version information from Data Matrix dimensions.

      Parameters:
        `numRows` - Number of rows in modules
        `numColumns` - Number of columns in modules
      Returns:
        Version for a Data Matrix Code of those dimensions
      Throws:
        `FormatException` - if dimensions do correspond to a valid Data Matrix size

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007–2018. All rights reserved.